> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 30 - Save Proposal Guarantee Asset Document

Through this endpoint, the partner includes more than one asset, either movable or immovable, as collateral for the financed amount.


## OpenAPI

````yaml post /Proposta/SalvarPropostaGarantiaBemDocumento
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Proposta.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Proposta/SalvarPropostaGarantiaBemDocumento:
    post:
      tags:
        - Proposta
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/CreateUpdatePropostaGarantiaBemDocumentoCommand
          text/json:
            schema:
              $ref: >-
                #/components/schemas/CreateUpdatePropostaGarantiaBemDocumentoCommand
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/CreateUpdatePropostaGarantiaBemDocumentoCommand
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateUpdateMultiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUpdateMultiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateUpdateMultiResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    CreateUpdatePropostaGarantiaBemDocumentoCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/PropostaGarantiaBemDocumentoDTO'
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    CreateUpdateMultiResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/CreateUpdateResponse'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    PropostaGarantiaBemDocumentoDTO:
      required:
        - extensao
        - nomeArquivo
        - tipoDocumento
      type: object
      properties:
        codigo:
          type: string
          description: Identificador único do documento do bem de garantia da proposta.
          format: uuid
        codigoPropostaGarantiaBem:
          type: string
          description: >-
            Identificador único da proposta à qual o bem de garantia se
            relaciona.
          format: uuid
        tipoDocumento:
          type: integer
          description: Consultar tabela de tipo de documento.
          format: int32
        nomeArquivo:
          maxLength: 255
          minLength: 1
          type: string
          description: Nome do arquivo.
          nullable: true
        extensao:
          maxLength: 255
          minLength: 1
          type: string
          description: Extensão do arquivo.
          nullable: true
        dtValidade:
          type: string
          description: Data de validade do arquivo.
          format: date-time
          nullable: true
        conferido:
          type: boolean
          description: Indica se o documento do bem de garantia foi conferido.
          nullable: true
        dtConferido:
          type: string
          description: Data em que o documento foi conferido.
          format: date-time
          nullable: true
        codigoUsuarioConferido:
          type: integer
          description: >-
            Código do usuário responsável pela conferência do documento do bem
            de garantia.
          format: int32
          nullable: true
      additionalProperties: false
    ParametroDTO:
      type: object
      properties:
        nome:
          type: string
          description: Refere-se ao nome do parâmetro.
          nullable: true
        valor:
          type: string
          description: Refere-se ao valor do parâmetro.
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    CreateUpdateResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        codigo:
          type: string
          format: uuid
        numero:
          type: integer
          format: int64
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````